<?php
/**
 * Class that operate on table 'm_stageproperity'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-09-07 16:06
 */
class MStageproperityMySqlExtDAO extends MStageproperityMySqlDAO{

	public function queryAllproperty($querystring){
		$sql = 'SELECT * FROM m_stageproperity join  m_stage
		on  m_stage.id = m_stageproperity.stageId
		'.$querystring.'
		and  m_stageproperity.del =0';
		
		//print_r("<br>".$sql);
		$sqlQuery = new SqlQuery($sql);
		return $this->getList($sqlQuery);
	}
	
	
	public function loadstage($id){
		$sql = 'SELECT * FROM m_stageproperity join  m_stage
		on  m_stage.id = m_stageproperity.stageId
		where m_stageproperity.stageProperityId = '.$id.'
		and  m_stageproperity.del =0';
		
		//print_r("<br>".$sql);
		$sqlQuery = new SqlQuery($sql);
		return $this->getRow($sqlQuery);
	}
	
	
	public function updatestage($mStageproperity){
		$sql = 'UPDATE m_stageproperity SET userId = ?, branchId = ?, stageProperityDate = ?, del = ? WHERE stageProperityId = ?';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->setNumber($mStageproperity->userId);
		$sqlQuery->setNumber($mStageproperity->branchId);
		$sqlQuery->set($mStageproperity->stageProperityDate);
		$sqlQuery->setNumber($mStageproperity->del);

		$sqlQuery->setNumber($mStageproperity->stageProperityId);
		return $this->executeUpdate($sqlQuery);
	}

}
?>